Name:            hosts3d
Version:         1.07
Release:         1%{?dist}
Summary:         3D real-time network visualiser

Group:           Applications/Internet
License:         GPLv2+ 
URL:             http://hosts3d.sourceforge.net/
Source0:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:         %{name}.desktop
Source2:         %{name}.png
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   freeglut-devel
BuildRequires:   libGLU-devel
BuildRequires:   libpcap-devel
BuildRequires:   desktop-file-utils

Provides:        homestead = %{version}-%{release}
Obsoletes:       homestead <= 0.95


%description
Hosts3D is a 3D real-time network visualizer, displaying 
hosts and packet traffic. Features include support for 
multiple sensors, analysis of packets to gather hostnames 
and services, configurable layout of subnetworks, 
recording/replaying of packet traffic, and the ability 
to filter packets by host, protocol or port. 
hsen (Hosts3D Sensor) is a packet capture daemon which
reads and sends packet header information to Hosts3D, 
locally or remotely. hsen also equates hostname to IP 
by reading DNS packets (UDP type A class IN standard 
query response). The relationship between hsen to Hosts3D 
can be one-to-one, one-to-many, many-to-one or many-to-many 
(many Hosts3Ds would be on multiple computers on the 
same subnet, receiving packet header information 
from hsen via broadcast).


%package sampler
Summary:        Sampling client for %{name}
Group:          Applications/Internet
License:        GPLv2+
Provides:       homestead-sensor = %{version}-%{release}
Obsoletes:      homestead-sensor <= 0.95


%description sampler
hsen (Hosts3D Sensor) is a (possibly remote) packet capture daemon which
reads and sends packet header information to Hosts3D, locally or remotely.
hsen also equates hostname to IP by reading DNS packets (UDP type A class IN
standard query response).


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install INSTALL="install -p" DESTDIR=%{buildroot}

desktop-file-install \
       %{SOURCE1} \
       %{?rhel:--vendor=""} \
       --dir=%{buildroot}%{_datadir}/applications 

install -Dpm 0644 %{SOURCE2} \
       %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%files sampler
%defattr(-,root,root,-)
%{_bindir}/hsen
%{_mandir}/man*/hsen.*


%changelog
* Fri Dec 11 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.07-1
- New upstream release

* Fri Nov 20 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.06-1
- New upstream release

* Thu Oct 22 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.05-1
- New upstream release

* Mon Oct 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.04-1
- New upstream release

* Wed Sep 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.03-1
- New upstream release

* Sun Jul 26 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.00-3
- FTBFS hosts3d-0.98-1.fc11 (#511623)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 07 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.00-1
- New upstream release

* Tue Jun 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.99-1
- New upstream release

* Mon Apr 06 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.98-1
- New upstream release

* Tue Feb 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.97-6
- Use "Obsoletes: homestead-sensor <= 0.95" instead of "Obsoletes: homestead-sensor < 0.95-1"

* Tue Feb 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.97-5
- Use "Obsoletes: homestead <= 0.95" instead of "Obsoletes: homestead < 0.95-1"
- Merge epel and fedora spec-file

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.97-3.1
- This version will be only available for epel5 to avoid buildsys errors
- Next version will be with the same specfile for fedora & epel

* Sun Feb 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.97-3
- Use autoconf instead of autoreconf in the BUILD section to avoid koji errors

* Sun Feb 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.97-2
- Correct Provides/Obsolates
- Correct make install
- Honour RPM_OPT_FLAGS with PATCH0 by Jochen Schmitt
- Add autoreconf to generate a new configure.in on the base of the patched configure.ac

* Tue Feb 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.97-1
- Update to 0.97
- Homestead renamed to Hosts3D

* Fri Nov 21 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.95-1
- Update to 0.95

* Thu Nov 20 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.94-1
- Update to 0.94

* Mon Nov 17 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.93-1
- Update to 0.93

* Tue Nov 11 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.92-1
- Update to 0.92

* Thu Nov 06 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.91-1
- Update to 0.91

* Wed Nov 05 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.90-1
- Update to 0.90

* Tue Nov 04 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.89-1
- Update to 0.89

* Mon Nov 03 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.88-1
- Update to 0.88

* Thu Oct 30 2008 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 0.87-2
- adjust for EPEL

* Mon Oct 27 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.87-1
- Update to 0.87

* Fri Oct 24 2008 R P Herrold <info@owlriver.com> - 0.86-2
- split out a -sampler sub-package to avoid dragging in the unneeded 
  GUI on remote TUI only sample heads

* Wed Oct 22 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.86-1
- Update to 0.86

* Fri Oct 17 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.85-1
- Update to 0.85
- Correct License Tag

* Sun Sep 21 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.84-1
- Update to 0.84
- Add desktop-file

* Mon Sep 15 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.83-1
- Update to 0.83

* Sun Aug 24 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.81-1
- Initial release
